#include <iostream>
#include <stdio.h>

using namespace std;

int a[1000000];

int main()
{
    int n;
    int i;
    int xorr,andd;
    scanf("%d",&n);
    scanf("%d",&a[0]);
    xorr = a[0];
    andd = a[0];
    for(i=1;i<n;i++){
        scanf("%d",&a[i]);
        xorr = xorr ^ a[i];
        andd = andd & a[i];
    }
    if ((xorr > 0) && (andd > 0))
        cout << 0;
    else
        cout << 1;
    return 0;
}